// Copyright 2018 The Flutter team. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:flutter_apm_example/utils/apm_utils.dart';

class SecondScreen extends StatefulWidget {
  @override
  _SecondScreenState createState() => _SecondScreenState();
}

class _SecondScreenState extends State<SecondScreen> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("Second screen"),
      ),
      body: Center(
        child: RaisedButton(
          onPressed: () => APMUtils.initSDKAPM(),
          child: Text("APMUtils.initSDKAPM()"),
        ),
      ), // This trailing comma makes auto-formatting nicer for build methods.
    );
  }
}
