// Copyright 2018 The Flutter team. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:flutter_apm/apm_module.dart';
import 'package:flutter_apm_example/configurations/constants.dart';

class APMUtils {
  static void initSDKAPM() {
    debugPrint('Vincent, initSDKAPM()');

    ApmModule.initAppWithAppID(Constants.APM_PARTNER_ID, Constants.APM_PARTNER_SECRET, Constants.APP_ID);
    // APMModule.setDebugMode(true);
    ApmModule.setBaseUrl(Constants.APM_API_URL);
    ApmModule.refreshSDK(false);
  }
}
